gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated: add build/install script for Debian 10 t


From: gnunet
Subject: [gnunet] branch master updated: add build/install script for Debian 10 to contrib
Date: Fri, 03 Jan 2020 17:05:58 +0100

This is an automated email from the git hooks/post-receive script.

dvn pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new 9b33cb121 add build/install script for Debian 10 to contrib
9b33cb121 is described below

commit 9b33cb121ded68247bc7a9388bf41e46063cd812
Author: Devan Carpenter <address@hidden>
AuthorDate: Fri Jan 3 17:01:36 2020 +0100

    add build/install script for Debian 10 to contrib
---
 contrib/scripts/build-install-gnunet-debian10.sh | 38 ++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/contrib/scripts/build-install-gnunet-debian10.sh 
b/contrib/scripts/build-install-gnunet-debian10.sh
new file mode 100755
index 000000000..863ed5e2d
--- /dev/null
+++ b/contrib/scripts/build-install-gnunet-debian10.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+set -exo
+set -u pipefail
+
+if test -z "$USER" = "root"; then
+  export SUDO_CMD=""
+else
+  SUDO_CMD="sudo"
+fi
+
+$SUDO_CMD apt update && $SUDO_CMD apt install -y git libtool autoconf \
+autopoint libmicrohttpd-dev build-essential libgcrypt-dev \
+libidn11-dev zlib1g-dev libunistring-dev libglpk-dev miniupnpc \
+libextractor-dev libjansson-dev libcurl4-gnutls-dev gnutls-bin \
+libsqlite3-dev openssl libnss3-tools libopus-dev libpulse-dev libogg-dev
+
+mkdir ~/gnunet_installation || true
+
+cd ~/gnunet_installation
+
+git clone --depth 1 https://gnunet.org/git/gnunet.git || true
+
+cd ~/gnunet_installation/gnunet
+
+./bootstrap
+
+export GNUNET_PREFIX=/usr/local
+export CFLAGS="-g -Wall -O0"
+
+./configure --prefix=$GNUNET_PREFIX --enable-logging=verbose 
--disable-documentation
+
+$SUDO_CMD addgroup gnunet || true
+
+$SUDO_CMD usermod -aG gnunet $USER || true
+
+make -j$(nproc || echo -n 1)
+
+$SUDO_CMD make install

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]